#
# $Id: loganalyzer.spec,v 1.3 2002/05/09 16:10:44 syatskevich Exp $
#

Summary:   Postfix, Squid and Iptables Log Analyzer
Name:      loganalyzer
Version:   0.20
Release:   alt4
Copyright: GPL
Group:     Monitoring

Packager: Sergey N. Yatskevich <syatskevich@altlinux.ru>

Source: %name-%version.tar.bz2

Requires:      iptables perl(DBD/Pg.pm) postgresql >= 7.2 postgresql-server >= 7.2
BuildRequires: fileutils >= 4.0

BuildArch: noarch

%description
Postfix, Squid and Iptables Log Analyzer. It process log files
with minimal data handling and save information into PostgreSQL
database for future use.

%prep
%setup -q

%install

install -D src/loganalyzer      $RPM_BUILD_ROOT%_bindir/loganalyzer
install -D src/logreporter      $RPM_BUILD_ROOT%_bindir/logreporter
install -D src/loganalyzer.init $RPM_BUILD_ROOT%_initdir/loganalyzer

install -d $RPM_BUILD_ROOT%_sysconfdir/sysconfig
install -d $RPM_BUILD_ROOT%_sysconfdir/cron.hourly
install -d $RPM_BUILD_ROOT%_sysconfdir/cron.daily
install -d $RPM_BUILD_ROOT%_sysconfdir/cron.weekly
install -d $RPM_BUILD_ROOT%_sysconfdir/cron.monthly
install -d $RPM_BUILD_ROOT%_sysconfdir/logrotate.d

install -d $RPM_BUILD_ROOT%_libdir/loganalyzer/reports
install -d $RPM_BUILD_ROOT%_libdir/loganalyzer/modules

install -d $RPM_BUILD_ROOT%_logdir/loganalyzer/db

install -m 600 src/sysconfig/loganalyzer          $RPM_BUILD_ROOT%_sysconfdir/sysconfig
install -m 600 src/sysconfig/loganalyzer.iptables $RPM_BUILD_ROOT%_sysconfdir/sysconfig
install -m 644 src/sysconfig/loganalyzer.modules  $RPM_BUILD_ROOT%_sysconfdir/sysconfig

install -m 644 src/*.sql     $RPM_BUILD_ROOT%_libdir/loganalyzer
install -m 755 src/modules/* $RPM_BUILD_ROOT%_libdir/loganalyzer/modules

install -m 755 src/reports/* $RPM_BUILD_ROOT%_libdir/loganalyzer/reports
install -m 755 src/*.report  $RPM_BUILD_ROOT%_libdir/loganalyzer

install -m 755 src/fetchiptables $RPM_BUILD_ROOT%_libdir/loganalyzer
install -m 755 src/maintaindb    $RPM_BUILD_ROOT%_libdir/loganalyzer

install -m 644 src/logrotate.d/loganalyzer $RPM_BUILD_ROOT%_sysconfdir/logrotate.d

ln -s /usr/lib/loganalyzer/fetchiptables $RPM_BUILD_ROOT%_sysconfdir/cron.hourly
ln -s /usr/lib/loganalyzer/maintaindb    $RPM_BUILD_ROOT%_sysconfdir/cron.monthly

ln -s /usr/lib/loganalyzer/zzz-daily.report  $RPM_BUILD_ROOT%_sysconfdir/cron.daily
ln -s /usr/lib/loganalyzer/zzz-weekly.report $RPM_BUILD_ROOT%_sysconfdir/cron.weekly
ln -s /usr/lib/loganalyzer/zzz-monthly.report $RPM_BUILD_ROOT%_sysconfdir/cron.monthly

%files
%doc AUTHORS ChangeLog README* INSTALL* TODO UPGRADE BUGS logrotate.d
%_bindir/*
%_initdir/*
%_libdir/loganalyzer
%_sysconfdir/cron.hourly/*
%_sysconfdir/cron.daily/*
%_sysconfdir/cron.weekly/*
%_sysconfdir/cron.monthly/*
%_sysconfdir/logrotate.d/*
%dir %attr(750, root, root) %_logdir/loganalyzer
%dir %attr(750, root, root) %_logdir/loganalyzer/db
%config(noreplace) %_sysconfdir/sysconfig/*

%changelog
* Tue Oct 29 2002 Stanislav Ievlev <inger@altlinux.ru> 0.20-alt4
- rebuild
- little spec improvements

* Thu May 09 2002 Sergey N. Yatskevich <syatskevich@mail.ru> 0.20-alt1
  - Version 0.20 released.

* Thu Nov 22 2001 Sergey N. Yatskevich <syatskevich@mail.ru>
  - Version 0.17 released.

* Thu Oct 25 2001 Sergey N. Yatskevich <syatskevich@mail.ru>
  - Version 0.16 released. New report subsystem. See ChangeLog,
    README, README.logreporter and UPGRADE.

* Sat Oct 20 2001 Sergey N. Yatskevich <syatskevich@mail.ru>
  - Version 0.15 released. See ChangeLog and UPGRADE.

* Fri Oct 19 2001 Sergey N. Yatskevich <syatskevich@mail.ru>
  - Version 0.14 released.
    Please read ChangeLog and UPGRADE-0.14 doc for details

* Thu Oct 04 2001 Sergey N. Yatskevich <syatskevich@mail.ru>
  - Initial release
